be.ehealth.business.mycarenetdomaincommons.domain

## Class Party

- java.lang.Object
- - be.ehealth.business.mycarenetdomaincommons.domain.Party

- Direct Known Subclasses:
    CareProvider

      public class Party
      extends Object

  contains the data for a mycarenet PartyType. which is either a physcial persond and/or an organization. cfr documentation from mycarenet :

       This type is used to identify a legal entity.  This is either: a physical person, an organization or a physical person at an organization.
       A legal entity is identified by a name (optional) and a unique number.  Currently this can be one of the following: SSIN (physical person only), NIHII (health institute only) or CBE (enterprise only).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Party()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Identification` | `getOrganization()`
    `Identification` | `getPhysicalPerson()`
    `void` | `setOrganization(Identification organization)`
    `void` | `setPhysicalPerson(Identification physicalPerson)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Party

          public Party()

  - ### Method Detail

    - #### getPhysicalPerson

          public Identification getPhysicalPerson()

      Returns:
        the physicalPerson

    - #### setPhysicalPerson

          public void setPhysicalPerson(Identification physicalPerson)

      Parameters:
        `physicalPerson` - the physicalPerson to set

    - #### getOrganization

          public Identification getOrganization()

      Returns:
        the organization

    - #### setOrganization

          public void setOrganization(Identification organization)

      Parameters:
        `organization` - the organization to set

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.